#if !defined  HAVE_SLANT_H__
#define       HAVE_SLANT_H__

#include "fxttypes.h"  // ulong

// walsh/slant.cc:
void slant(double *f, ulong ldn);
void inverse_slant(double *f, ulong ldn);
void slant_seq(double *f, ulong ldn);
void inverse_slant_seq(double *f, ulong ldn);


#endif  // !defined HAVE_SLANT_H__
